Bulk Add / Update Well Data
POST
https://data.onxecta.com/api/production/wells
Body Parameters
- bodyWellInput[]required
- sourceIdstringrequiredDescriptionMax Length100
- uwistringrequiredDescription
- namestringrequiredDescriptionMax Length100
- group1stringDescriptionMin Length2Max Length100Pattern^[a-zA-Z0-9\-_()#& ]+$
- group2stringDescriptionMax Length100
- group3stringDescriptionMax Length100
- areastringDescriptionMax Length100
- centralFacilitystringDescriptionMax Length100
- tankBatterystringDescriptionMax Length100
- routestringDescriptionMax Length100
- padstringDescriptionMax Length100
- platformstringDescriptionMax Length100
- heritagestringDescriptionMax Length100
- responsibleEngineerstringDescriptionMax Length100
- typeWellTypeDescriptionDefaultPRODUCER
- fluidFluidTypeDefaultOIL
- liftTypeLiftTypeDescriptionDefaultNATURAL_FLOW
- latnumber<double>requiredDescriptionFormatdouble
- lonnumber<double>requiredDescriptionFormatdouble
- middleLatnumber<double>DescriptionFormatdouble
- middleLonnumber<double>DescriptionFormatdouble
- mudLinenumber<double>DescriptionFormatdouble
- statusWellStatus
- bottomholeLatnumber<double>Formatdouble
- bottomholeLonnumber<double>Formatdouble
Responses
200
- Well[]
- xidstring<uuid>requiredFormatuuid
- sourceIdstringrequired
- uwistringrequired
- namestringrequired
- group1stringDescription
- group2stringDescription
- group3stringDescription
- areastringDescription
- centralFacilitystringDescription
- tankBatterystringDescription
- routestringDescription
- padstringDescription
- platformstringDescription
- heritagestringDescription
- responsibleEngineerstringDescription
- typeWellTypeDescriptionDefaultPRODUCER
- fluidFluidTypeDefaultOIL
- liftTypeLiftTypeDescriptionDefaultNATURAL_FLOW
- latnumber<double>requiredFormatdouble
- lonnumber<double>requiredFormatdouble
- mudLinenumber<double>Formatdouble
- middleLatnumber<double>DescriptionFormatdouble
- middleLonnumber<double>DescriptionFormatdouble
- statusWellStatus
- timezonestring
- bottomholeLatnumber<double>Formatdouble
- bottomholeLonnumber<double>Formatdouble
curl
curl --request POST \
--url https://data.onxecta.com/api/production/wells \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '[
{
"sourceId": "",
"uwi": "",
"name": "",
"type": "PRODUCER",
"fluid": "OIL",
"liftType": "NATURAL_FLOW",
"lat": "",
"lon": ""
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify([
{
"sourceId": "",
"uwi": "",
"name": "",
"type": "PRODUCER",
"fluid": "OIL",
"liftType": "NATURAL_FLOW",
"lat": "",
"lon": ""
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://data.onxecta.com/api/production/wells", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));python
import requests
import json
url = "https://data.onxecta.com/api/production/wells"
payload = json.dumps([
{
"sourceId": "",
"uwi": "",
"name": "",
"type": "PRODUCER",
"fluid": "OIL",
"liftType": "NATURAL_FLOW",
"lat": "",
"lon": ""
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
csharp
var options = new RestClientOptions("https://data.onxecta.com")
{
MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("/api/production/wells", Method.Post);
request.AddHeader("accept", "application/json");
request.AddHeader("content-type", "application/json");
var body = @"[" + "\n" +
@" {" + "\n" +
@" ""sourceId"": """"," + "\n" +
@" ""uwi"": """"," + "\n" +
@" ""name"": """"," + "\n" +
@" ""type"": ""PRODUCER""," + "\n" +
@" ""fluid"": ""OIL""," + "\n" +
@" ""liftType"": ""NATURAL_FLOW""," + "\n" +
@" ""lat"": """"," + "\n" +
@" ""lon"": """"" + "\n" +
@" }" + "\n" +
@"]";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "[\n {\n \"sourceId\": \"\",\n \"uwi\": \"\",\n \"name\": \"\",\n \"type\": \"PRODUCER\",\n \"fluid\": \"OIL\",\n \"liftType\": \"NATURAL_FLOW\",\n \"lat\": \"\",\n \"lon\": \"\"\n }\n]");
Request request = new Request.Builder()
.url("https://data.onxecta.com/api/production/wells")
.method("POST", body)
.addHeader("accept", "application/json")
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();200
// OK
[
{
"xid": "",
"sourceId": "",
"uwi": "",
"name": "",
"group1": "",
"group2": "",
"group3": "",
"area": "",
"centralFacility": "",
"tankBattery": "",
"route": "",
"pad": "",
"platform": "",
"heritage": "",
"responsibleEngineer": "",
"type": "",
"fluid": "",
"liftType": "",
"lat": "",
"lon": "",
"mudLine": "",
"middleLat": "",
"middleLon": "",
"status": "",
"timezone": "",
"bottomholeLat": "",
"bottomholeLon": ""
}
]